Delete Site By Id

Delete Site By Id
Offboard and delete a site from the platform.

Deleting a site will asynchronously perform actions to remove references to this SSP instance on the site and, when finished successfully, delete the site from the platform.

If the connection between the site and the platform is not healthy, then the force parameter can be used. When force is true, the platform will attempt best-effort to remove references to this SSP instance from the site, but will ignore errors from the site. The result will be the removal of the site from the platform, but possibly references to the platform remaining on the site. This scenario can lead to errors when attempting to onboard the site to a new SSP. In this scenario, the force parameter will have to be used when onboarding the site.

During offboarding, the site enterprise admin username and password are required to allow SSP to delete certain artifacts that are specific to this platform.

Notes:

  • The credentials provided are one-time use and never stored or re-used.
  • The status of offboarding can be checked by calling GET /sites/{site-id}. Once offboarding is completed, the site will automatically be deleted, at which point calling GET /sites/{site-id} will return a 404. This signifies a successful offboard and deletion.
Request
URI
DELETE
https://{api_host}/ssp/sites/{site-id}
COPY
Path Parameters
string
site-id
Required  

The site ID of the site being deleted.

Query Parameters
boolean
force
Optional

Force can be used to offboard, ignoring any errors that may occur in communication with the site. If the site is to be onboarded to a different SSP, the use of the force parameter may be required during re-onboarding.


Request Body

Credentials for the site to be able to connect to and cleanup the site. If the force parameter is false, credentials are required.

UserCredentials of type(s) application/json
Optional

Show optional properties

{
    "username": "string",
    "password": "string"
}
{
    "username": "admin",
    "password": "password123"
}
string
username
Required  

Username for Site.

string
password
Required  

Password for Site.

Authentication
This operation uses the following authentication methods.
Responses
202

ACCEPTED

Returns AsyncApiResponse of type(s) application/json
{
    "id": "2dc09816-34c0-43fb-99a6-b19b249a43da",
    "status_url": "https://vxlan-vm-111-131.nimbus-tb.nimbus.internal/ssp/sites/2dc09816-34c0-43fb-99a6-b19b249a43da"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 200001,
    "error_message": "An internal server error occurred.",
    "module_name": "site"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["public-site-apis"]
                
Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"username":"string","password":"string"}' https://{api_host}/ssp/sites/{site-id}